> For the complete documentation index, see [llms.txt](https://docs.digitalsamba.com/reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalsamba.com/reference/rest-api/default-room-settings.md).

# Default room settings

Your team is created when you sign up to Digital Samba Embedded. [Rooms](/reference/rest-api/rooms.md) are hosted under the domain name you choose for the team -> https\://**teamNameHere**.digitalsamba.com/my-room

You can either [see (list)](/reference/rest-api/default-room-settings/list.md) your current default room settings or [edit](/reference/rest-api/default-room-settings/edit.md) them if you want to make changes.

{% hint style="info" %}
When you create a new room it will inherit the default room settings. That is useful if most of your rooms have similar settings - e.g. if you want the toolbar to be displayed on the left, then set the **toolbar\_position** setting of the team to **left**. Of course every room can be additionally customized -> you can create a room with toolbar position on the right even if the team settings have the toolbar position on the left. The default room settings just serve the purpose of a default template - it is up to you to customize further the room settings.
{% endhint %}

{% content-ref url="/pages/nktJqQF3qkhNyvioaU5N" %}
[List](/reference/rest-api/default-room-settings/list.md)
{% endcontent-ref %}

{% content-ref url="/pages/vKG1Qyr2r0Ucp0Xz2sIP" %}
[Edit](/reference/rest-api/default-room-settings/edit.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/default-room-settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
